<?php

namespace App\Filament\Resources\ClickLogs;

use App\Filament\Resources\ClickLogs\Pages\CreateClickLog;
use App\Filament\Resources\ClickLogs\Pages\EditClickLog;
use App\Filament\Resources\ClickLogs\Pages\ListClickLogs;
use App\Filament\Resources\ClickLogs\Pages\ViewClickLog;
use App\Filament\Resources\ClickLogs\Schemas\ClickLogForm;
use App\Filament\Resources\ClickLogs\Schemas\ClickLogInfolist;
use App\Filament\Resources\ClickLogs\Tables\ClickLogsTable;
use App\Models\ClickLog;
use BackedEnum;
use Filament\Resources\Resource;
use Filament\Schemas\Schema;
use Filament\Support\Icons\Heroicon;
use Filament\Tables\Table;

class ClickLogResource extends Resource
{
    protected static ?string $model = ClickLog::class;

    protected static string|BackedEnum|null $navigationIcon = Heroicon::ChartBar;

    protected static string|\UnitEnum|null $navigationGroup = 'Operations';

    protected static ?int $navigationSort = 3;

    public static function form(Schema $schema): Schema
    {
        return ClickLogForm::configure($schema);
    }

    public static function infolist(Schema $schema): Schema
    {
        return ClickLogInfolist::configure($schema);
    }

    public static function table(Table $table): Table
    {
        return ClickLogsTable::configure($table);
    }

    public static function getRelations(): array
    {
        return [
            //
        ];
    }

    public static function getPages(): array
    {
        return [
            'index' => ListClickLogs::route('/'),
            'create' => CreateClickLog::route('/create'),
            'view' => ViewClickLog::route('/{record}'),
            'edit' => EditClickLog::route('/{record}/edit'),
        ];
    }
}
